---
title: Actual value
slug: Web/CSS/actual_value
tags:
  - CSS
  - Guide
  - Reference
---
<div>{{CSSRef}}</div>

<p>The <strong>actual value</strong> of a <a href="/en-US/docs/Web/CSS">CSS</a> property is the <a href="/en-US/docs/Web/CSS/used_value">used value</a> of that property after any necessary approximations have been applied. For example, a {{glossary("user agent")}} that can only render borders with a whole-number pixel width may round the thickness of the border to the nearest integer.</p>

<h2 id="Calculating_a_propertys_actual_value">Calculating a property's actual value</h2>

<p>The {{glossary("user agent")}} performs four steps to calculate a property's actual (final) value:</p>

<ol>
 <li>First, the <a href="/en-US/docs/Web/CSS/specified_value">specified value</a> is determined based on the result of <a href="/en-US/docs/Web/CSS/Cascade">cascading</a>, <a href="/en-US/docs/Web/CSS/inheritance">inheritance</a>, or using the <a href="/en-US/docs/Web/CSS/initial_value">initial value</a>.</li>
 <li>Next, the <a href="/en-US/docs/Web/CSS/computed_value" title="en/CSS/computed value">computed value</a> is calculated according to the specification (for example, a <code>span</code> with <code>position: absolute</code> will have its computed <code>display</code> changed to <code>block</code>).</li>
 <li>Then, layout is calculated, resulting in the <a href="/en-US/docs/Web/CSS/used_value">used value</a>.</li>
 <li>Finally, the used value is transformed according to the limitations of the local environment, resulting in the actual value.</li>
</ol>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS2.1', 'cascade.html#actual-value', 'actual value')}}</td>
   <td>{{Spec2('CSS2.1')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{CSS_key_concepts}}</li>
</ul>
